<?php
/**
*
* @copyright: phpBB-Gaming
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('common');

if (!$auth->acl_get('a_'))
{
	trigger_error($user->lang['NOT_AUTHORISED']);
}

$db->sql_return_on_error(true);

$message = '';
$error = false;
$sql_ary = array();

$sql_ary[] = 'ALTER TABLE ' . USERS_TABLE . ' ADD COLUMN user_show_age tinyint(1) UNSIGNED DEFAULT "0" NOT NULL';

foreach ($sql_ary as $sql)
{
	$message .= '<p style="font-weight: bold;">'.$sql.'</p>';
	$result = $db->sql_query($sql);
	if ($result)
	{
		$message .= '<p style="color: green;">Query processed succesfully.</p>';
	}
	else
	{
		$error = true;
		$message .= '<p style="color: red;">There was an error while processing this query.</p>';
	}
	$message .= '<br />';
}

if($error == true)
{
	$message .= '<p>All queries have been processed, but some errors occured. For security reasons, delete this file from your server.</p>';
}
else
{
	$message .= '<p>All queries have been processed succesfully. For security reasons, delete this file from your server.</p>';
}
trigger_error($message);

?>